/**********************************************************************
 *
 * File :     gunbit.h
 *
 * Abstract : Function prototype definitions for gunbit.c
 *
 **********************************************************************
 *
 * This file is a product of Criterion Software Ltd.
 *
 * This file is provided as is with no warranties of any kind and is
 * provided without any obligation on Criterion Software Ltd. or
 * Canon Inc. to assist in its use or modification.
 *
 * Criterion Software Ltd. will not, under any
 * circumstances, be liable for any lost revenue or other damages arising
 * from the use of this file.
 *
 * Copyright (c) 1995 Criterion Software Ltd.
 * All Rights Reserved.
 *
 * RenderWare is a trademark of Canon Inc.
 *
 ************************************************************************/
int     AllBitsSetup(void);
void    AllBitsDestroy(void);
void    AllBitsUpdate(void);

int     GunVisible(void);
void    GunEnable(void);
void    GunDisable(void);
void    GunToggle(void);
void    GunFiring(int state);
int     GunSetup(void);
void    GunDestroy(void);
void    GunUpdate(void);
void    GunRender(void);
